> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get alignment job

> Retrieve the status and details of a specific alignment job.



## OpenAPI

````yaml get /v1/flow/alignment/{alignment_job_id}
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.87.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/flow/alignment/{alignment_job_id}:
    get:
      tags:
        - Alignment
      summary: Get alignment job
      description: Retrieve the status and details of a specific alignment job.
      operationId: alignment_get_v1_flow_alignment__alignment_job_id__get
      parameters:
        - name: alignment_job_id
          in: path
          required: true
          schema:
            type: string
            title: Alignment Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AlignmentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AlignmentResponse:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        status:
          $ref: '#/components/schemas/AlignmentJobStatus'
        current_step:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Step
        step_progress:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          title: Step Progress
        progress:
          anyOf:
            - type: number
            - type: 'null'
          title: Progress
        estimated_completion_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Estimated Completion At
        eta_minutes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Eta Minutes
        status_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Message
      additionalProperties: true
      type: object
      required:
        - id
        - created_at
        - status
      title: AlignmentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AlignmentJobStatus:
      type: string
      enum:
        - pending
        - queued
        - running
        - cancelled
        - failed
        - completed
        - stopped
      title: AlignmentJobStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Seekr API Key without 'Bearer' Prefix
      in: header
      name: Authorization

````